#include "partition.h"

#include <algorithm>
#include <random>

std::vector<int> solve(std::vector<int> A) {
  int n = A.size();
  std::vector<int> ret(n);
  for( int i = 0; i < n; i++ )
    ret[i] = i;

  std::mt19937 rng(42);
  std::shuffle( ret.begin(), ret.end(), rng );
  return ret;
}
